%define upstream_name    Test-Perl-Critic
%define upstream_version 1.02

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Use Perl::Critic in test programs
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz


BuildRequires:  perl(Perl::Critic)
BuildArch:      noarch


%description 
Test::Perl::Critic wraps the Perl::Critic engine in a convenient subroutine
suitable for test programs written using the Test::More framework. This makes
it easy to integrate coding-standards enforcement into the build process. For
ultimate convenience (at the expense of some flexibility), see the criticism
pragma.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%check
%make test

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc INSTALL Changes LICENSE README META.yml
%{perl_vendorlib}/Test
%{_mandir}/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.20.0-2.mga3
+ Revision: 373677
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 24 2011 jquelin <jquelin> 1.20.0-1.mga1
+ Revision: 37207
- mageia rebuild
- imported package perl-Test-Perl-Critic

